Bug 164740 - usb.usermap generation
usb.usermap generation
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Depends On:
  Show dependency treegraph
Reported: 2005-07-31 06:25 EDT by Florian La Roche
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 18:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2005-07-31 06:25:43 EDT
Description of problem:

Can the generation of usb.usermap move into the hotplug package at compile-time
instead of being in the post section of gphoto2?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Tim Waugh 2005-07-31 06:45:14 EDT
It could, but then hotplug would have to BuildRequires: gphoto2 -- and upgrades
to gphoto2 would not be reflected in that file until hotplug was rebuilt against it.
Comment 2 Bill Nottingham 2005-07-31 21:23:00 EDT
This should all be done with udev rules, not usermap files. :)
Comment 3 Tim Waugh 2005-08-01 04:07:59 EDT
Can you point me to an example package that does this?
Comment 4 Bill Nottingham 2005-08-01 11:37:48 EDT
Check out the devel branch of libifp from Extras - it's probably the best
example at the moment of something converted from a usermap file.
Comment 5 Bill Nottingham 2006-03-08 18:52:11 EST
I think this is taken care of now.

Note You need to log in before you can comment on or make changes to this bug.